Bug 832697 - [abrt] system-config-kdump-2.0.7-1.fc16: system-config-kdump.py:1666:changed_partition:AttributeError: 'NoneType' object has no attribute 'rsplit'
[abrt] system-config-kdump-2.0.7-1.fc16: system-config-kdump.py:1666:changed_...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-kdump (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
abrt_hash:d7441d02cedb7bf5ee694d3b1a5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 12:56 EDT by Stuart D Gathman
Modified: 2014-01-12 19:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:41:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart D Gathman 2012-06-16 12:56:16 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        python /usr/share/system-config-kdump/system-config-kdump.py
comment:        Update from testing, attempt to enable kdump.
executable:     /usr/share/system-config-kdump/system-config-kdump.py
kernel:         3.3.7-1.fc16.i686
time:           Sat 16 Jun 2012 12:28:49 PM EDT
uid:            1000
username:       stuart

backtrace:
:system-config-kdump.py:1666:changed_partition:AttributeError: 'NoneType' object has no attribute 'rsplit'
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-kdump/system-config-kdump.py", line 1666, in changed_partition
:    name = part_combobox.get_active_text().rsplit(":", 1)[0]
:AttributeError: 'NoneType' object has no attribute 'rsplit'
:
:Local variables in innermost frame:
:self: <__main__.MainWindow instance at 0xa30ea2c>
:args: ()
:part_combobox: <gtk.ComboBox object at 0xa33007c (GtkComboBox at 0xa385068)>

smolt_data:
:
:
:General
:=================================
:UUID: 2d8db898-9e6a-41cd-b0fb-254288f9ac88
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5187.13
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 CPU 2.60GHz
:CPU Stepping: 9
:CPU Family: 15
:CPU Model Num: 2
:Number of CPUs: 2
:CPU Speed: 2600
:System Memory: 1889
:System Swap: 2047
:Vendor: Dell Computer Corporation
:System: OptiPlex GX270 
:Form factor: Mini Tower
:Kernel: 3.3.7-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:4110:4136:337) pci, e1000, ETHERNET, Optiplex GX270
:(32902:9590:0:0) pci, None, BASE, 82865G/PE/P Processor to I/O Memory Interface
:(32902:9427:4136:337) pci, i801_smbus, SERIAL, 82801EB/ER (ICH5/ICH5R) SMBus Controller
:(32902:9425:4136:337) pci, ata_piix, STORAGE, 82801EB (ICH5) SATA Controller
:(32902:9435:4136:337) pci, ata_piix, STORAGE, 82801EB/ER (ICH5/ICH5R) IDE Controller
:(32902:9424:0:0) pci, None, PCI/ISA, 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge
:(32902:9429:4136:337) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(4318:545:0:0) pci, nouveau, VIDEO, NV44A [GeForce 6200]
:(32902:9428:4136:337) pci, uhci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2
:(32902:9426:4136:337) pci, uhci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1
:(32902:9584:4136:337) pci, agpgart-intel, HOST/PCI, 82865G/PE/P DRAM Controller/Host-Hub Interface
:(32902:9431:4136:337) pci, uhci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3
:(32902:9438:4136:337) pci, uhci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4
:(32902:9437:4136:337) pci, ehci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller
:(32902:9585:0:0) pci, None, PCI/PCI, 82865G/PE/P PCI to AGP Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_gail-f16 / ext4 4096 4096 5197230 1252315 1199949 1310720 699520 699520
:/dev/sda1 /boot ext3 1024 1024 295649 75147 59787 76304 75988 75988
:/dev/mapper/vg_gail-f14 WITHHELD ext4 4096 4096 3907840 1693299 1654012 983040 775155 775155
:/dev/mapper/vg_gail-video WITHHELD ext4 4096 4096 6482433 1070778 743157 1638400 1638325 1638325
:/dev/mapper/vg_gail-home /home ext4 4096 4096 15545994 2248141 1461837 3932160 3844784 3844784
:/dev/mapper/vg_gail-adaxa WITHHELD ext4 4096 4096 2613235 2194232 2063160 655360 648423 648423
:/dev/mapper/vg_gail-dump WITHHELD ext4 4096 4096 2605573 2463980 2332908 163840 163825 163825
:
Comment 1 Roman Rakus 2012-06-18 03:19:24 EDT
Thanks for the report.
Can you please provide debug informations from s-c-kdump by running system-config-kdump -d?
Comment 2 Fedora End Of Life 2013-01-16 12:13:45 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 16:41:11 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.